## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCTableLoader.TableFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory

All Implemented Interfaces:
  JDBCTableLoader.ITableFactory

Direct Known Subclasses:
  JDBCTableLoader.GlobalTempTableFactory, JDBCTableLoader.LocalTempTableFactory, JDBCTableLoader.ViewFactory

Enclosing class:
  JDBCTableLoader

public static class JDBCTableLoader.TableFactory
extends java.lang.Object
implements JDBCTableLoader.ITableFactory

Base factory implementation for TABLE type tables.

Constructor Summary
`JDBCTableLoader.TableFactory()`

Method Summary
`Table` `createTable(java.sql.ResultSet rs)` Creates and initializes a new Table object from the meta-data in the result set.
`EClass` `getTableEClass()`
`void` `initialize(Table table, java.sql.ResultSet rs)` Initializes the new Table object using the meta-data in the result set.
`void` `setSupportedColumns(java.util.Set supportedColumns)` Specify the column names supported by the result set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCTableLoader.TableFactory

    public JDBCTableLoader.TableFactory()

Method Detail

### getTableEClass

    public EClass getTableEClass()

  Specified by:
    `getTableEClass` in interface `JDBCTableLoader.ITableFactory`
  Returns:
    SQLTablesPackage.eINSTANCE.getPersistentTable()
  See Also:
    `JDBCTableLoader.ITableFactory.getTableEClass()`

### createTable

    public Table createTable(java.sql.ResultSet rs)
                      throws java.sql.SQLException

  Creates and initializes a new Table object from the meta-data in the result set.

  Specified by:
    `createTable` in interface `JDBCTableLoader.ITableFactory`
  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized Table object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCTableLoader.ITableFactory.createTable(java.sql.ResultSet)`

### setSupportedColumns

    public void setSupportedColumns(java.util.Set supportedColumns)

  Description copied from interface: `JDBCTableLoader.ITableFactory`
  Specify the column names supported by the result set. These names can be used to determine whether or not a specific ResultSet.get*() method is available for a particular named column.

  Specified by:
    `setSupportedColumns` in interface `JDBCTableLoader.ITableFactory`
  Parameters:
    `supportedColumns` - column names defined within the result set.

### initialize

    public void initialize(Table table,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Initializes the new Table object using the meta-data in the result set. This method initializes the name, description and reference generation type of the table.

  Specified by:
    `initialize` in interface `JDBCTableLoader.ITableFactory`
  Parameters:
    `table` - a new Table object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.